from Parameter import Parameter

class GuiCheckbox(Parameter):
    struct = '?'  # bool
    
    def __init__(self, *, name: str = "", initial_value=False, **k):
        super().__init__(name=name, **k)
        self.name = name
        self.state = initial_value
        
        element = {"name": name, "pid": self.pid, "type": "GuiCheckbox", "initial_value": initial_value}
        self.iris.webstuff.append(element)
        
    def __call__(self, state, gui=False):
        # gui means that it was sent from the websocket and do not echo. still need to figure out how to make multiple pages work. 
        super().__call__(state)
        if not gui:
            self.iris.bifrost.send(self.pid, self.state)
        

